## Package org.hibernate.metamodel

NOTE: This package is currently unfinished and therefore considered experimental and unsupported.

See:
Description

Interface Summary
Metadata
Metadata.Options: Exposes the options used to produce a `Metadata` instance.
MetadataBuilder
SessionFactoryBuilder

Class Summary
MetadataSources

Enum Summary
MetadataSourceProcessingOrder: Enumeration of the possible orders for processing metadata sources.

Exception Summary
ValidationException: Indicates a problem validating the metamodel.

## Package org.hibernate.metamodel Description

NOTE: This package is currently unfinished and therefore considered experimental and unsupported.

This package defines the new Hibernate metamodel as well as the code used to build that metamodel from user sources (HBM mapping files, annotations, etc).

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.